package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcWorkingNfModel = (*customDcWorkingNfModel)(nil)

type (
	// DcWorkingNfModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcWorkingNfModel.
	DcWorkingNfModel interface {
		dcWorkingNfModel
	}

	customDcWorkingNfModel struct {
		*defaultDcWorkingNfModel
	}
)

// NewDcWorkingNfModel returns a model for the database table.
func NewDcWorkingNfModel(conn sqlx.SqlConn) DcWorkingNfModel {
	return &customDcWorkingNfModel{
		defaultDcWorkingNfModel: newDcWorkingNfModel(conn),
	}
}
